---------------------------------------------------------------------------
--                                                                       --
--  Ast2Cfg is an ASIS application that generates a CFG out of the AST.  --
--                          http://cfg.w3x.org                           --
--                                                                       --
---------------------------------------------------------------------------
--                                                                       --
--          Copyright (c) 2007, Raul Fechete, Georg Kienesberger         --
--                                                                       --
---------------------------------------------------------------------------
--                                                                       --
-- This file is part of Ast2Cfg.                                         --
--                                                                       --
-- Ast2Cfg is free software; you can redistribute it and/or modify       --
-- it under the terms of the GNU General Public License as published by  --
-- the Free Software Foundation; either version 3 of the License, or     --
-- (at your option) any later version.                                   --
--                                                                       --
-- Ast2Cfg is distributed in the hope that it will be useful,            --
-- but WITHOUT ANY WARRANTY; without even the implied warranty of        --
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         --
-- GNU General Public License for more details.                          --
--                                                                       --
-- You should have received a copy of the GNU General Public License     --
-- along with this program.  If not, see <http://www.gnu.org/licenses/>. --
--                                                                       --
---------------------------------------------------------------------------

with Ada.Text_IO;

package body Ast2Cfg.Output is

   procedure Set_Level(Level: in Level_Type) is
   begin
      Output.Level := Level;
   end Set_Level;

   procedure Put(Level: in Output_Type; Message: in String) is
   begin
      if Level <= Output.Level then
         Ada.Text_IO.Put(Ada.Text_IO.Standard_Error, Message);
      end if;
   end Put;

   procedure Put_Line(Level: in Output_Type; Message: in String) is
   begin
      if Level <= Output.Level then
         Ada.Text_IO.Put_Line(Ada.Text_IO.Standard_Error, Message);
      end if;
   end Put_Line;

   procedure New_Line(Level: in Output_Type) is
   begin
      if Level <= Output.Level then
         Ada.Text_IO.New_Line(Ada.Text_IO.Standard_Error);
      end if;
   end New_Line;

end Ast2Cfg.Output;
